Skip to content

Get a member

Request

Returns a member by their ID

Security
bearerAuth
Path
organizationIdstringrequired

Organization ID of the member accessing the resource

Example:my-organization-id
memberIdinteger, ( 0 .. 9007199254740991 ]required
curl -i -X GET \
  'https://docs.api.hook.co/_mock/v1/openapi/organizations/my-organization-id/members/{memberId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Default Response

Bodyapplication/json
idinteger, ( 0 .. 9007199254740991 ]required
Example:1234
firstNamestring or nullrequired
Example:"Phoebe"
lastNamestring or nullrequired
Example:"Frere"
emailstringrequired
Example:"phoebe@example.com"
organizationIdstringrequired
Example:"my-organization-id"
managerIdinteger or null, ( 0 .. 9007199254740991 ]required

The Member ID of this member's manager

Response
{ "id": 1234, "firstName": "Phoebe", "lastName": "Frere", "email": "phoebe@example.com", "organizationId": "my-organization-id", "managerId": 0 }